run selenoid:
  image: maven:3.8.6-openjdk-11
  services:
    - docker:dind
  variables:
    SELENOID_PORT: 4444
    SELENOID_CONF: "./browsers.json"
    SELENOID_DOCKER_COMPOSE_FILE: "./docker-compose.yml"
    DOCKER_TLS_CERTDIR: ""
    DOCKER_HOST: tcp://docker:2375
    DOCKER_DRIVER: overlay2
  before_script:
    - apt-get update && apt-get install -y docker-compose jq curl
    - docker pull selenoid/vnc_chrome:116.0
    - docker-compose -f ${SELENOID_DOCKER_COMPOSE_FILE} up -d
    - sleep 20
    - docker ps -a
  script:
    - export DOCKER_RESOLVED_IP=$(getent ahostsv4 docker | head -n 1 | awk '{ print $1 }')
    - export SELENOID_RESOLVED_IP=$(docker inspect -f '{{range.NetworkSettings.Networks}}{{.IPAddress}}{{end}}' aerokube__selenoid)
    - echo "DOCKER_HOST=tcp://$DOCKER_RESOLVED_IP:2375" > .docker_env
    - echo "SELENOID_HOST=http://selenoid:4444"
    - mvn clean test -Dselenide.remote=http://$SELENOID_RESOLVED_IP:4444/wd/hub -X
